Bug 177503 - textproc/pdfgrep ffails to build, upgrade required
Summary: textproc/pdfgrep ffails to build, upgrade required
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-30 12:00 UTC by Armin Gruner
Modified: 2013-05-19 15:40 UTC (History)
0 users

See Also:


Attachments
file.diff (852 bytes, patch)
2013-03-30 12:00 UTC, Armin Gruner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Gruner 2013-03-30 12:00:02 UTC
textproc/pdfgrep needs an upgrade, the port version does not build with the updated poppler libraries.

Upgrading to the most recent pdfgrep version (1.3) fixes the build problem.

Fix: Use attached port upgrade patches


Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/textproc/pdfgrep && make
Comment 1 Edwin Groothuis freebsd_committer 2013-03-30 12:00:08 UTC
Maintainer of textproc/pdfgrep,

Please note that PR ports/177503 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177503

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-03-30 12:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-05-19 15:35:00 UTC
Author: rakuco
Date: Sun May 19 14:34:47 2013
New Revision: 318528
URL: http://svnweb.freebsd.org/changeset/ports/318528

Log:
  Update to 1.3.0 to fix the build with recent versions of poppler [1].
  
  While here, trim the Makefile headers, remove an unnecessary LICENSE_FILE
  header (GPLv2 is a standard license we already have in our templates) and
  move the LICENSE entry to the right place in the Makefile.
  
  PR:		ports/177503 [1]
  Submitted by:	Armin Gruner <ag-freebsd@muc.de>
  Approved by:	maintainer timeout (50 days)

Modified:
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfgrep/distinfo

Modified: head/textproc/pdfgrep/Makefile
==============================================================================
--- head/textproc/pdfgrep/Makefile	Sun May 19 14:27:56 2013	(r318527)
+++ head/textproc/pdfgrep/Makefile	Sun May 19 14:34:47 2013	(r318528)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:    pdfgrep
-# Date created:                         2010-11-28
-# Whom:                                 Michael Ranner <michael@ranner.eu>
-#
+# Created by: Michael Ranner <michael@ranner.eu>
 # $FreeBSD$
-#
 
 PORTNAME=	pdfgrep
-PORTVERSION=	1.1
-PORTREVISION=	4
+PORTVERSION=	1.3.0
 CATEGORIES=	textproc
 MASTER_SITES=	SF/${PORTNAME}/${PORTVERSION}/
 MASTER_SITE_SUBDIR=	${PORTNAME}
@@ -15,10 +10,9 @@ MASTER_SITE_SUBDIR=	${PORTNAME}
 MAINTAINER=	michael@ranner.eu
 COMMENT=	A tool to search text in PDF files
 
-LIB_DEPENDS=	poppler:${PORTSDIR}/graphics/poppler
-
 LICENSE=	GPLv2
-LICENSE_FILE=	${WRKSRC}/COPYING
+
+LIB_DEPENDS=	poppler:${PORTSDIR}/graphics/poppler
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes

Modified: head/textproc/pdfgrep/distinfo
==============================================================================
--- head/textproc/pdfgrep/distinfo	Sun May 19 14:27:56 2013	(r318527)
+++ head/textproc/pdfgrep/distinfo	Sun May 19 14:34:47 2013	(r318528)
@@ -1,2 +1,2 @@
-SHA256 (pdfgrep-1.1.tar.gz) = fdce13b152595a6c3e0d84718404066cea94bdb44feb480786f118814c706c02
-SIZE (pdfgrep-1.1.tar.gz) = 93911
+SHA256 (pdfgrep-1.3.0.tar.gz) = 392aeb710b74970fee7d96bec7e2a5c7f175ab8c7daf36c42eae47821635ee17
+SIZE (pdfgrep-1.3.0.tar.gz) = 99739
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2013-05-19 15:35:19 UTC
State Changed
From-To: feedback->closed

Committed, thank you. Please note that if you update the port to a new 
version, you are supposed to reset PORTREVISION, not set it to 1.